Subject: Re: .GOV ??

From: [email-masked]
Date: Thu, 9 Jul 1998 08:31:02 -0700

*> 
  *> Hysterical note? <grin>
  *> 
  *> Way back when, when DARPA was funding everything, it was thought to be a
  *> "Good Thing" to separate USG sites from everyone else. In those daze,
  *> ARPAnet wasn't only US-centric, it was effectively US-only, as was it's
  *> *only* funding source (I can't stress this enough <grin>). "International"
  *> wasn't even on the far horizon.

Actually, this is historically incorrect.  International (European)
defense research sites were included in the earliest Internet
development in the late 1970s, especially the UK, Norway, and Germany.
During 1981-1982, I personally used the (international) Internet to
access US sites, especially my home site of UCLA, from University
College London.  Peter Kirstein of UCL and Paal Spilling of NDRE Norway
were particularly important members of the Internet research community
in the early 1980s and before.  That was the time frame when Paul
Mockapetris was developing the DNS, and the root names .EDU, .GOV,
.COM, etc.  were chosen.

I believe that at least some of the European funding came from DARPA,
and DARPA certainly considered international cooperation a vital part
of the program (Nobody ever told me why, but I assumed it was to
support NATO).

This does not mean that the US government did not regard the Internet
technology as a US thing, of course.  Its development WAS paid for
by the US DoD.  At the time, the civilian world was pushing X.25 as the
Ultimate Answer for computer communication.

Bob Braden

  developed and maintained the IBM 370
implementation TCP/IP at UCLA Internet maps from those days will clearly show
the UK, Norway (, and GermanyNorwegian and German defense research
estblishments played very important roles in early experiments.It is therefore excusable that the only GOV
  *> invisioned at the time was the USG. On reflection, it could have been done
  *> better, but hind-sight is always 20/20.<grin> Consider it a legacy situation.
  *> 
  *> If it were done today, I suspect that we'd probably have *.US.GOV or
  *> *.GOV.US, although I prefer the former and do away with ccTLDs altogether
  *> with <cc>.GOV/MIL/etc. It would certainly do away with a lot of the
  *> .TO/TM/etc bull-shit.
  *> 
  *> Realistically, as it is, the USG isn't about to rename all their hosts.
  *> Especially, since they can't even get their Y2K shit together. Try again,
  *> around 2003, after they get all their systems back up from the millennium
  *> bug eating their lunch. Consider it a legacy exemption.
  *> 
  *> ___________________________________________________ 
  *> Roeland M.J. Meyer, ISOC (InterNIC RM993) 
  *> e-mail: <mailto:[email-masked]>[email-masked]
  *> Internet phone: hawk.mhsc.com
  *> Personal web pages: <http://www.mhsc.com/~rmeyer>www.mhsc.com/~rmeyer
  *> Company web-site: <http://www.mhsc.com/>www.mhsc.com/
  *> ___________________________________________ 
  *> SecureMail from MHSC.NET is coming soon!  
  *> 
  *>